Bug 470438 - iscsiadm -k 0 will start iscsid if not yet running
iscsiadm -k 0 will start iscsid if not yet running
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: iscsi-initiator-utils (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike Christie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-07 02:22 EST by Hans de Goede
Modified: 2012-06-26 12:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 01:22:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PATCH: do not start iscsid when not running when iscsiadm -k 0 gets executed (459 bytes, patch)
2008-11-07 02:22 EST, Hans de Goede
no flags Details | Diff

  None (edit)
Description Hans de Goede 2008-11-07 02:22:25 EST
Created attachment 322819 [details]
PATCH: do not start iscsid when not running when iscsiadm -k 0 gets executed

The autostart iscsid patch I did has one peculiarity, it will start iscsid when not running when "iscsiadm -k 0" gets executed, only to kill it immediately afterwards.

The attached patch (against the original patch) fixes this.

Mike if you ack this one I'll take care of the rest.
Comment 1 Mike Christie 2008-11-07 11:25:14 EST
Makes now sense to start iscsid when trying to stop it :) Looks ok.
Comment 2 Fedora Update System 2008-11-24 04:24:09 EST
iscsi-initiator-utils-6.2.0.870-0.2.rc1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/iscsi-initiator-utils-6.2.0.870-0.2.rc1.fc10
Comment 3 Bug Zapper 2008-11-25 23:56:43 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora Update System 2008-11-26 01:22:22 EST
iscsi-initiator-utils-6.2.0.870-0.2.rc1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.